Models
List non private models
Retrieve a paginated list of non private models. By default, the models are returned in the order that they were created. When sorting by prediction count, only models that have at least one prediction will be returned.
AuthorizationBearer <token>
In: header
Query Parameters
cursor?Cursor
The starting point to fetch the next set of items.
page_size?Page Size
The number of results per page.
Default
25Range
5 <= value <= 100sort_by?ModelsSortBy
The field by which to sort the results.
Default
"created_at"Value in
"created_at" | "predictions_count"sort_direction?Sort Direction
The direction in which to sort the results.
Default
"asc"Value in
"asc" | "desc"category_slugs?Category Slugs
A list of category slugs to filter results. Matches any of the provided slugs (OR logic).
Response Body
curl -X GET "https://api.wrift.ai/v1/models?cursor=string&page_size=25&sort_by=created_at&sort_direction=asc&category_slugs=string"{
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"created_at": "2019-08-24T14:15:22Z",
"visibility": "private",
"description": "string",
"updated_at": "2019-08-24T14:15:22Z",
"owner": {
"account_id": "449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65",
"name": "string",
"avatar_url": "string"
},
"predictions_count": 0,
"categories": [
{
"name": "string",
"slug": "string"
}
],
"cover_image_url": "http://example.com"
}
],
"next_cursor": "string",
"previous_cursor": "string",
"next_url": "http://example.com",
"previous_url": "http://example.com"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}